Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026279
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajoralways2014-04-15 09:452014-08-08 18:53
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revisionfab9b7248bbb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026279: Performance Issue when Filtering on Identifier Columns

DescriptionUnder certain circumstances, Oracle performs full table scans when users filter in the grid. This occurs despite that field being indexed.

This problem occurs when users are filtering a big table by a field that is the identifier for another big table.
Steps To Reproduce-Having million of transaction and millions of product filter by product on the Goods transaction window.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0025211 closedAugustoMauch Filter by selected value in FK uses identifier instead of ID 

-  Notes
(0066717)
johnfandl (reporter)
2014-04-30 17:19

The recommendation is to generate left outer join only in the case of the foreign key column NULLABLE. If it is NOT NULLABLE, then a normal inner join is functionally equivalent and much more performant.
(0066844)
jonalegriaesarte (reporter)
2014-05-06 14:48

Clasified as Design defect dut to its complexity. Planned to be included in Q4
(0068627)
hgbot (developer)
2014-07-14 17:10

Repository: erp/devel/pi
Changeset: fab9b7248bbb2a08d1486d2481f4478722a83186
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jul 14 17:08:24 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fab9b7248bbb2a08d1486d2481f4478722a83186 [^]

Fixes issue 25211, fixes issue 26279: Merges fkfilters project branch with pi

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_FIELD.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_SYSTEM.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0068725)
alostale (developer)
2014-07-18 11:48

Implemented as a project: http://wiki.openbravo.com/wiki/Projects:Foreign_Key_Filtering_Performance_Improvement [^]

code reviewed + tested (see http://wiki.openbravo.com/wiki/Projects:Foreign_Key_Filtering_Performance_Improvement/QA [^])
(0069158)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-04-15 09:45 egoitz New Issue
2014-04-15 09:45 egoitz Assigned To => AugustoMauch
2014-04-15 09:45 egoitz Modules => Core
2014-04-15 09:45 egoitz Triggers an Emergency Pack => No
2014-04-30 01:56 egoitz Relationship added related to 0025211
2014-04-30 17:17 johnfandl Issue Monitored: johnfandl
2014-04-30 17:19 johnfandl Note Added: 0066717
2014-05-06 12:13 jonalegriaesarte Assigned To AugustoMauch => jonalegriaesarte
2014-05-06 14:48 jonalegriaesarte Note Added: 0066844
2014-05-06 14:48 jonalegriaesarte Type defect => design defect
2014-07-14 17:06 AugustoMauch Issue Monitored: alostale
2014-07-14 17:07 AugustoMauch Review Assigned To => alostale
2014-07-14 17:07 AugustoMauch Assigned To jonalegriaesarte => AugustoMauch
2014-07-14 17:10 hgbot Checkin
2014-07-14 17:10 hgbot Note Added: 0068627
2014-07-14 17:10 hgbot Status new => resolved
2014-07-14 17:10 hgbot Resolution open => fixed
2014-07-14 17:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fab9b7248bbb2a08d1486d2481f4478722a83186 [^]
2014-07-18 11:48 alostale Note Added: 0068725
2014-07-18 11:48 alostale Status resolved => closed
2014-07-18 11:48 alostale Fixed in Version => 3.0PR14Q4
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069158


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker